Crypto-4.2.5.1: Collects together existing Haskell cryptographic functions into a package

Copyright | (c) Dominic Steinitz 2004
License | BSD-style (see the file ReadMe.tex)
Maintainer | dominic.steinitz@blueyonder.co.uk
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Digest.MD5

Contents

- Function Types

Description

Takes the MD5 module supplied by Ian Lynagh and wraps it so it takes [Octet] and returns [Octet] where the length of the result is always 16. See http://web.comlab.ox.ac.uk/oucl/work/ian.lynagh/ and http://www.ietf.org/rfc/rfc1321.txt.

Synopsis

- hash :: [Octet] -> [Octet]

# Function Types

hash :: [Octet] -> [Octet]

Take [Octet] and return [Octet] according to the standard. The length of the result is always 16 octets or 128 bits as required by the standard.